Dashboards
Link insights
Replace the set of insights linked to a dashboard. Pass an ordered array of insight IDs. This also controls display order.
curl -X PUT "https://api.mythic-analytics.com/api/v1/dashboards/example_string/insights" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-d '{
"insight_ids": [
"ins_8kN2mPqR",
"ins_3xL7nBcD"
]
}'
import requests
import json
url = "https://api.mythic-analytics.com/api/v1/dashboards/example_string/insights"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
data = {
"insight_ids": [
"ins_8kN2mPqR",
"ins_3xL7nBcD"
]
}
response = requests.put(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://api.mythic-analytics.com/api/v1/dashboards/example_string/insights", {
method: "PUT",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
},
body: JSON.stringify({
"insight_ids": [
"ins_8kN2mPqR",
"ins_3xL7nBcD"
]
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"insight_ids": [
"ins_8kN2mPqR",
"ins_3xL7nBcD"
]
}`)
req, err := http.NewRequest("PUT", "https://api.mythic-analytics.com/api/v1/dashboards/example_string/insights", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.mythic-analytics.com/api/v1/dashboards/example_string/insights')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Put.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Bearer YOUR_API_TOKEN'
request.body = '{
"insight_ids": [
"ins_8kN2mPqR",
"ins_3xL7nBcD"
]
}'
response = http.request(request)
puts response.body
{
"success": true,
"data": "null"
}
{
"error": "Bad Request",
"message": "The request contains invalid parameters or malformed data",
"code": 400,
"details": [
{
"field": "email",
"message": "Invalid email format"
}
]
}
{
"error": "Unauthorized",
"message": "Authentication required. Please provide a valid API token",
"code": 401
}
{
"error": "Not Found",
"message": "The requested resource was not found",
"code": 404
}
PUT
/dashboards/{id}/insightsPUT
Security Scheme
Bearer Tokenstring
RequiredAdmin API key as bearer token. Format: Bearer YOUR_ADMIN_KEY
Admin API key as bearer token. Format:
Bearer YOUR_ADMIN_KEYpath
idstring
RequiredDashboard identifier.
Content-Typestring
RequiredThe media type of the request body
Options: application/json
insight_idsarray
RequiredOrdered array of insight IDs to link to the dashboard.
Request Preview
Response
Response will appear here after sending the request
Authentication
header
Authorizationstring
RequiredBearer token. Admin API key as bearer token. Format: Bearer YOUR_ADMIN_KEY
Path Parameters
idstring
RequiredDashboard identifier.
Body
application/json
insight_idsarray
RequiredOrdered array of insight IDs to link to the dashboard.
Responses
successboolean
datastring
Was this page helpful?
Built with Documentation.AI
Last updated today